tidemAstron {oce} | R Documentation

## Astronomical Calculations for Tidem

### Description

Do some astronomical calculations for `tidem`. This function is based directly on `t_astron` in the `T_TIDE` Matlab package [1].

### Usage

    tidemAstron(t)

### Arguments

`t` | The time in `POSIXct` format. (It is very important to use `tz="GMT"` in constructing `t`.)

### Value

A `list` containing items named `astro` and `ader` (see `T_TIDE` documentation).

### Author(s)

Dan Kelley translated this from `t_astron` in the `T_TIDE` package.

### References

1. Pawlowicz, Rich, Bob Beardsley, and Steve Lentz, 2002. Classical tidal harmonic analysis including error estimates in MATLAB using `T_TIDE`. Computers and Geosciences, 28, 929-937.

### See Also

Other things related to `tidem` data: `[[,tidem-method`, `[[<-,tidem-method`, `plot,tidem-method`, `predict.tidem`, `summary,tidem-method`, `tidedata`, `tidem-class`, `tidemVuf`, `tidem`

### Examples

    tidemAstron(as.POSIXct("2008-01-22 18:50:24"))

[Package oce version 0.9-22 Index]